Bulk install packages

Base URL
https://{kibana_url}
  • POST /api/fleet/epm/packages/_bulk
Auth

Install multiple packages from the Elastic Package Registry in a single request.

Required authorization

Privileges integrations-all and fleet-agent-policies-all

Query parameters

prerelease boolean

When true, allow installing prerelease versions

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

allow_outdated_version boolean · default: false

When true, allow installing a version older than the latest available. Bypasses only the out-of-date version check.

force boolean · default: false
packages union anyOf[] · min items: 1 · max items: 1000 required
Any of:

Responses

Successful response

application/json
items union anyOf[] · max items: 10000 required
Any of:
name string required
result object required
assets union anyOf[] · max items: 10000
Any of:
deferred boolean
id string required
originId string
type union enum | string required
Values: dashboard lens visualization search index-pattern map ml-module security-rule csp-rule-template osquery-pack-asset osquery-saved-query tag
error object required
installSource string
installType string required
status enum
Values: installed already_installed
version string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}